.template-365,
.template-365 .normalize-label,
.template-365 .selectize-input .item,

.template-365 .speedyAddressSiteType,
.template-365 .speedyAddressSiteName,
.template-365 .speedyAddressSiteAddInfo,
.template-365 .speedyAddressComplexType,
.template-365 .speedyAddressComplexName,
.template-365 .speedyAddressStreetType,
.template-365 .speedyAddressStreetName,
.template-365 .speedyAddressStreetNo,
.template-365 .speedyAddressBlockNo,
.template-365 .speedyAddressEntranceNo,
.template-365 .speedyAddressFloorNo,
.template-365 .speedyAddressApartmentNo,
.template-365 .speedyAddressPoiName,
.template-365 .speedyAddressOfficeId,
.template-365 .speedyAddressOfficeName,
.template-365 .speedyAddressNote,
.template-365 .speedyAddressOfficeAddInfo,
.template-365 .speedyForeignAddressFormCountry,
.template-365 .speedyForeignAddressFormState,
.template-365 .speedyForeignAddressFormSite,
.template-365 .speedyForeignAddressFormPostCode,
.template-365 .divAddressFormStreetNo,
.template-365 .speedyForeignAddressFormLine {
    font-family: 'Montserrat', sans-serif;
    font-family: var(--global-font-family), 'Montserrat', sans-serif;
}

.template-365 .d-flex-ni {
    display: flex;
}
.template-365 .form-checkout select {
    max-width: 100%;;
}

.template-365 .js-delivery-type-container .js-info-content {
    font-size: 14px;
}
.template-365 .js-delivery-type-container .js-info-content:empty {
    padding: 0!important;
}

.template-365 .form-checkout .invalid-msg {
    display: none;
}

.template-365 .form-checkout .invalid-msg.is-active {
    display: block;
}

.template-365 .form-checkout input.is-invalid {
    border: 1px solid red;
}

.template-365 .form-checkout .checkbox-label .checkmark {
    top: 2px;
}

.template-365 .form-checkout .checkbox-label--alt {
    padding-left: 30px;
    font-size: 16px;
}

.template-365 .form-checkout .checkbox-label--alt .checkmark {
    left: 2px;
    height: 16px;
    width: 16px;
    top: 7px;
}

.template-365 .form-checkout .checkbox-label--alt .checkmark:before,
.template-365 .form-checkout .checkbox-label--alt .checkmark:after {
    width: 14px;
    left: 0px;
    top: 6px;
}

.template-365 .checkbox-label-2.checkbox-label-2--alt .checkmark {
    top: 6px;
}

.template-365 .checkbox-label-2.checkbox-label-2--alt-2 .checkmark {
    top: 8.5px;
}

.template-365 .form-checkout .choose-invoice-content {
    display: none;
}

.template-365 .form-checkout .choose-invoice-content.is-active {
    display: block;
}

.invoice-data-content {
    display: none;
}

.template-365 .form-checkout .input-group {
    display: none;
}

.template-365 .form-checkout .input-group.is-active {
    display: block;
}

.template-365 .payment-type-container.is-disabled {
    opacity: 0.7;
    cursor: not-allowed;
}
.template-365 .payment-type-container.is-disabled * {
    pointer-events: none;
}

.template-365 .payment-type-container .payment-type-description,
.template-365 .payment-type-container.is-active .payment-type-description:empty {
    display: none;
}

.template-365 .payment-type-container .payment-type-description > p:last-of-type {
    margin-bottom: 0;
}

.template-365 .payment-type-container.is-active .payment-type-description {
    display: block
}


/* speedy form */
.template-365 .divAddressRow[name="foreignPickupOfficeRow"],
.template-365 .divAddressRow[name="pickupOfficeRow"] {
    display: none !important;
}

.template-365 #speedyAddressForm {
    max-width: unset;
    min-width: unset;
}

.template-365 .cont-full {
    padding: 0 15px !important;
    margin: 0 !important;
}
.template-365 .cont-left {
    padding: 0 8px 0 15px !important;
    margin: 8px 0 !important;
}
.template-365 .cont-right {
    padding: 0 0 0 24px !important;
    margin: 8px 0 !important;
}
.template-365 .cont-full .input-group,
.template-365 .cont-right .input-group,
.template-365 .cont-left .input-group {
    display: flex !important;
}
.template-365 .cont-full {
    width: 100% !important;
    padding: 0 0 0 15px !important;
}

.template-365 .input-group-text div,
.template-365 .input-group-text input,
.template-365 .input-group-text select {
    padding: 0 !important;
    margin: 0 !important;
    height: unset !important;
    text-align: center;
    font-size: 12px;
}

.template-365 .normalize-label {
    text-align: left;
    font-size: initial;
    margin-bottom: 8px;
    width: 100% !important;
}

.template-365 .input-group-prepend + .normalize-input {
    width: unset!important;
}

.template-365 .normalize-input.input-num {
    width: 55px !important;
    text-align: center;
}
.template-365 .normalize-input {
    width: 100% !important;
    margin: 0 !important;
    padding: 6px 12px !important;
    height: 38px !important;
    border: 1px solid #ced4da !important;
}
.template-365 .selectize-input.disabled {
    background: #e9ecef;
    opacity: 1;
}
@media(min-width: 992px) {

    .template-365 .selectize-input {
        min-height: 38px;
    }

    .template-365 .selectize-input .item,
    .template-365 .selectize-input [type="select-one"] {
        color: #495057;
        height: 24px;
        line-height: 24px;
    }
}

.selectize-control .selectize-input input[type="select-one"]::-webkit-contacts-auto-fill-button {
  display: none !important;
  visibility: hidden !important;
  pointer-events: none !important;
  position: absolute;
}

/* selectize-has-options-insert-x */

.template-365 [data-selectize-add-remove-btn-if-has-option="1"] .selectize-control.single .selectize-input.has-items:after,
.template-365 [data-selectize-add-remove-btn-if-has-option="1"] div[data-city-holder]:after { 
    display: none;
}

.template-365 [data-selectize-add-remove-btn-if-has-option="1"] .selectize-control.plugin-remove_button .remove-single {
    top: 50%;
    right: 17px;
    transform: translateY(-50%);
    font-weight: 600;
}

@media(max-width: 991px) {
    .template-365 .cont-right,
    .template-365 .cont-full,
    .template-365 .cont-left {
        padding: 0 15px !important;
    }
}

.template-365 .speedyAddressSiteType,
.template-365 .speedyAddressSiteName,
.template-365 .speedyAddressSiteAddInfo,
.template-365 .speedyAddressComplexType,
.template-365 .speedyAddressComplexName,
.template-365 .speedyAddressStreetType,
.template-365 .speedyAddressStreetName,
.template-365 .speedyAddressStreetNo,
.template-365 .speedyAddressBlockNo,
.template-365 .speedyAddressEntranceNo,
.template-365 .speedyAddressFloorNo,
.template-365 .speedyAddressApartmentNo,
.template-365 .speedyAddressPoiName,
.template-365 .speedyAddressOfficeId,
.template-365 .speedyAddressOfficeName,
.template-365 .speedyAddressNote,
.template-365 .speedyAddressOfficeAddInfo,
.template-365 .speedyForeignAddressFormCountry,
.template-365 .speedyForeignAddressFormState,
.template-365 .speedyForeignAddressFormSite,
.template-365 .speedyForeignAddressFormPostCode,
.template-365 .divAddressFormStreetNo,
.template-365 .speedyForeignAddressFormLine {
    font-size: 1rem!important;
    color: #495057;
}

.template-365 div.divError {
    width: 100%;
    background: none;
    border: none;
    text-align: left;
    color: red;
    font-size: 16px;
    font-weight: normal;
    padding: 0 15px;
}

.template-365 .normalize-label {
    font-size: 1rem;
    color: #212529;
}


.template-365 button[type="submit"] {
    background: #000;
    border: 1px solid #000;
}

.template-365 button[type="submit"]:hover {
    background: #fff;
    color: #000;
}

.template-365 [name="promo_code"],
.template-365 [name="voucher_code"] {
    padding: 6px 12px;
    border-width: 1px;
}

.template-365 #checkout_form {
    transition: 0.5s opacity;
}
.template-365 #checkout_form.is-loading {
    opacity: 0.3;
}

.template-365 .template__info {
    position: absolute;
    top: 1px;
    right: 5px;
}

.template-365 .template__info i {
    font-size: 14px;
    color: #9C69AB;
    cursor: pointer;
}

.template-365 .template__info span {
    position: absolute;
    width: 240px;
    font-size: 12px;
    bottom: 100%;
    right: 0;
    opacity: 0;
    pointer-events: none;
    transition: opacity .4s;
}

.template-365 select[name="user_cards"]:focus {
    box-shadow: none;
}

@media (max-width: 992px) {
    .template-365 .template__info span.is-active {
        pointer-events: all;
        opacity: 1;
    }
}

@media (min-width: 992px) {
    .template-365 .template__info:hover span {
        opacity: 1;
        pointer-events: all;
    }
}

@media(max-width: 450px) {
    .bottom-buttons-container .left-button {
        margin-right: 5px;
    }
    .bottom-buttons-container .left-button,
    .bottom-buttons-container .right-button {
        /* width: 50%; */
    }
}

.template-365 #checkout_form[data-hide-first-step="1"] [data-step-cont='2'] [data-goto-step].js-step-back {
    opacity: 0;
    pointer-events: none;
}

/* ucf  */
.template-365 #ucf-form table,
.template-365 #ucf-form tr,
.template-365 #ucf-form td {
    border: 1px solid #ddd !important;
}

.template-365 #ucf-form table td {
    vertical-align: middle;
    text-align: left;
}

.template-365 #ucf-form table tbody tr:hover {
    background: #eee;
}
/* .template-365 #ucf-form .bglight {
    background-color: #eee;
} */

/* steps alernative version - with color of site (color-3) */

.template-365 .steps-1--alt .step.is-active span,
.template-365 .steps-1--alt .step.is-completed span {
    border: 2px solid var(--color-3);
    background: var(--color-3);
}

.template-365 .steps-1--alt .step__line.is-completed {
    background: var(--color-3);
}

/* steps alernative version - color 8 */

.template-365 .steps-1--alt.steps-1--color-8 .step.is-active span,
.template-365 .steps-1--alt.steps-1--color-8 .step.is-completed span,
.template-365 .steps-1--alt .step__line.is-completed  {
    background: var(--color-8);
}

.template-365 .steps-1--alt.steps-1--color-8 .step.is-active span,
.template-365 .steps-1--alt.steps-1--color-8 .step.is-completed span {
    border: 2px solid var(--color-8);
}

/*  steps-color-3  */

.template-365.steps-color-3 .steps-template-shop .step__line {
    background: var(--color-3);
}

.template-365.steps-color-3 .steps-template-shop .step.is-active span {
    border-color: var(--color-3);
    background: var(--color-3);
}

.template-365 .payment-type-container img[src=''] {
    width: 0;
}

.template-365 #ucf-form,
.template-365 #tbi-form,
.template-365 #dsk-form {
    overflow-x: auto;
}

/* selectize-input-search (Curiera) */

.template-365 .selectize-input-search input {
    min-width: 220px;
}

.template-365 .selectize-control.single .selectize-input-search {
    padding-right: 30px;
}


.template-365 .selectize-control.single .selectize-input-search.items > div {
    line-height: 26px;    
}

.template-365 .selectize-control.single .selectize-input-search:after {
    content: '\f002';
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    transform: translateY(-50%);
    right: 8px;
    margin: 0; 
    width: 16px;
    height: 18px;
    color: #ccc;
    border: 0;
}

/* loading-hidden */

.template-365 #checkout_form.is-loading.loading-hidden {
    position: relative;
    pointer-events: none;
    height: 200px;
}

.template-365 #checkout_form.is-loading.loading-hidden > * {
  opacity: 0;
  transition: opacity 0.5s ease;
}

.template-365 #checkout_form.is-loading.loading-hidden::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 40px;
  height: 40px;
  border: 5px solid #ccc;
  border-top-color: #3498db;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  transform: translate(-50%, -50%);
  z-index: 10;
}
